| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Macros | Functions | Variables
ISF_UART1 module documentation

## Macros
#define | FSL_ISF_UART1 UART0_IDX

## Functions
void | UART_DRV_IRQHandler (uint32_t instance)
void | ISF_UART1_IRQHandler (void)

## Variables
const uart_user_config_t | ISF_UART1_InitConfig0
| UART configuration declaration. More...
uart_state_t | ISF_UART1_State
uart_state_t | ISF_UART1_State
const uart_user_config_t | ISF_UART1_InitConfig0
| UART configuration declaration. More...

## Detailed Description

## Macro Definition Documentation

#define FSL_ISF_UART1 UART0_IDX

Device instance number

Definition at line 77 of file ISF_UART1.h.

Referenced by Components_Init(), and ISF_UART1_IRQHandler().

## Function Documentation

void ISF_UART1_IRQHandler | ( | void |  | ) |

Interrupt service routine (ISR) prototype

Definition at line 74 of file ISF_UART1.c.

References FSL_ISF_UART1, and UART_DRV_IRQHandler().

Referenced by Components_Init().

Here is the call graph for this function:

Here is the caller graph for this function:

void UART_DRV_IRQHandler | ( | uint32_t | instance | ) |

Referenced by ISF_UART1_IRQHandler().

Here is the caller graph for this function:

## Variable Documentation

const uart_user_config_t ISF_UART1_InitConfig0

Initial value:
= {
.baudRate = 115200U,
.parityMode = kUartParityDisabled,
.stopBitCount = kUartOneStopBit,
.bitCountPerChar = kUart8BitsPerChar,
}

UART configuration declaration.

ISF_UART1 configuration structure

Definition at line 61 of file ISF_UART1.c.

Referenced by Components_Init().

const uart_user_config_t ISF_UART1_InitConfig0

UART configuration declaration.

ISF_UART1 configuration structure

Definition at line 61 of file ISF_UART1.c.

Referenced by Components_Init().

uart_state_t ISF_UART1_State

Driver state structure without DMA

Definition at line 70 of file ISF_UART1.c.

Referenced by Components_Init().

uart_state_t ISF_UART1_State

Driver state structure without DMA

Definition at line 70 of file ISF_UART1.c.

Referenced by Components_Init().

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.